package main;
use Evo;
use Test::More;
use Evo::Util;
use Test::Fatal;


{

  package My::Lib;
  use Evo::Util;
  sub foo { Evo::Util::find_caller_except(__PACKAGE__); }
  sub fee { foo() }
}


is My::Lib::foo(), 'main';
is My::Lib::fee(), 'main';
ok !Evo::Util::find_caller_except(__PACKAGE__);


done_testing;
